% sgtxlnplotcurrents.m
%
% Plots currents originating from a sgtxln assembly.  This function
% therefore expects to be called with an *array* of SuperNEC ``to
% Workspace'' current structs, *from the same sgtxln (ie same number of
% segments)* and it sorts out the rest!
%

% Alan Robert Clark clark@YingTongDiddleiPo.ee.wits.ac.za
% Created 1st January 2004.

function sgtxlnplotcurrents(c)
  lines = length (c);
  ind = (length(c(1).currents.currents)-2)./2;
 
  ci = [];
  for i = 1:lines
    cil = abs(c(i).currents.currents(1:ind));
    ci = [ci, cil];
  end
  
  xi = c(1).structure.momsegments(1:ind,1);
  figure;
  plot(xi,ci);

  % Wierd axis scalings---reset.
  axis tight;
  
